# FieldDataFormat enum

Type of parsing applied to field.

Inheritance
  - Object
  - Enum
  - FieldDataFormat
Available extensions
  - EnumName

## Values

ISO_DATE → const FieldDataFormat

  Field value is parsed as ISO 8601 date in format YYYY-MM-DD.

ISO_COUNTRY_ALPHA_2 → const FieldDataFormat

  Field value is parsed as ISO 3166-1 alpha-2 country code. E.g. "DE" for Germany.

ISO_COUNTRY_ALPHA_3 → const FieldDataFormat

  Field value is parsed as ISO 3166-1 alpha-3 country code. E.g. "DEU" for Germany.

ISO_COUNTRY_NUMERIC → const FieldDataFormat

  Field value is parsed as ISO 3166-1 numeric country code. E.g. "276" for Germany.

ISO_COUNTRY_NAME → const FieldDataFormat

  Field value is parsed as ISO 3166-1 country name. E.g. "Germany".

GENDER → const FieldDataFormat

  Field value is parsed as "Male", "Female".

## Properties

hashCode → int
  The hash code for this object.
  no setter inherited
index → int
  A numeric identifier for the enumerated value.
  no setter inherited
name → String

  Available on Enum, provided by the EnumName extension

  The name of the enum value.
  no setter
runtimeType → Type
  A representation of the runtime type of the object.
  no setter inherited

## Methods

noSuchMethod(Invocation invocation) → dynamic
  Invoked when a nonexistent method or property is accessed.
  inherited
toString() → String
  A string representation of this object.
  inherited

## Operators

operator ==(Object other) → bool
  The equality operator.
  inherited

## Constants

values → const List<FieldDataFormat>
  A constant List of the values in this enum, in order of their declaration.